      real*8 function acosd(x)
!
!     Inverse cosine with result in degrees.
!
!     B. Knapp, 2002-01-08
!
      implicit none
!
!     Input
      real*8 x
!
!     Output
!     real*8 acosd
!
!     Constant
      real*8 pi, d2r
      parameter (pi=3.14159265358979324d0, d2r=pi/180.d0)
!
!     Compute and return result
      acosd = acos(x)/d2r
      return
      end
